%global pypi_name pysol-cards
%global srcname pysol_cards

Name:           python-%{pypi_name}
Version:        0.14.2
Release:        %mkrel 1
Summary:        Deal PySol FC Cards
Group:          Development/Python
License:        None
URL:            https://fc-solve.shlomifish.org/
Source0:        %{srcname}-%{version}.tar.xz
BuildArch:      noarch

%description
The pysol-cards python modules allow the python developer to generate the
initial deals of some PySol FC games.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-pbr

%description -n python3-%{pypi_name}
The pysol-cards python modules allow the python developer to generate the
initial deals of some PySol FC games.

%prep
%setup -qn %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Mar 17 2022 TerryN <terryn94 at gmail.com> 0.14.2-1pclos2022
- update and rebuild for python 3.10

* Sun Jul 19 2020 ghostbunny <ghostbunny at gmx dot de> 0.10.1-1pclos2020
- 0.10.1

* Wed Feb 20 2019 tex - 0.4.1-1pclos2019
- new
